- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 5872dbbe-4710-46f2-bc0e-98ed74b5a28c
    creation_time: 2023-02-17T13:42:54.417258Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohendiv.c
      input_file_hashes:
        c/nla-digbench/cohendiv.c: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohendiv.c
    file_hash: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
    line: 38
    column: 0
    function: main
  loop_invariant:
    string: b == y * a && x == q * y + r && y >= 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2f9c9fa5-d6a2-4f5a-8841-969c8bfd8960
    creation_time: 2023-02-17T13:42:54.417653Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohendiv.c
      input_file_hashes:
        c/nla-digbench/cohendiv.c: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohendiv.c
    file_hash: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
    line: 38
    column: 0
    function: main
  location_invariant:
    string: b == y * a
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c9417d1d-b967-4bdc-b7b4-c4cacfcabe2f
    creation_time: 2023-02-17T13:42:54.417742Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohendiv.c
      input_file_hashes:
        c/nla-digbench/cohendiv.c: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohendiv.c
    file_hash: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
    line: 38
    column: 0
    function: main
  location_invariant:
    string: x == q * y + r
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b20b5abb-4aea-4951-bde5-d01f13a3d8eb
    creation_time: 2023-02-17T13:42:54.417845Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohendiv.c
      input_file_hashes:
        c/nla-digbench/cohendiv.c: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohendiv.c
    file_hash: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
    line: 48
    column: 0
    function: main
  loop_invariant:
    string: b == y * a && x == q * y + r && r >= 0 && y >= 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d0c4bbed-62ba-4cf0-a0de-0e786179c35c
    creation_time: 2023-02-17T13:42:54.417998Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohendiv.c
      input_file_hashes:
        c/nla-digbench/cohendiv.c: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohendiv.c
    file_hash: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
    line: 48
    column: 0
    function: main
  location_invariant:
    string: b == y * a
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 15a179a2-792e-4379-b020-ff8c8100ba3e
    creation_time: 2023-02-17T13:42:54.418079Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohendiv.c
      input_file_hashes:
        c/nla-digbench/cohendiv.c: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohendiv.c
    file_hash: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
    line: 48
    column: 0
    function: main
  location_invariant:
    string: x == q * y + r
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7f1f944c-d800-4277-9644-b31e3a12b4af
    creation_time: 2023-02-17T13:42:54.418159Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohendiv.c
      input_file_hashes:
        c/nla-digbench/cohendiv.c: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohendiv.c
    file_hash: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
    line: 48
    column: 0
    function: main
  location_invariant:
    string: r >= 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 828ee09d-1976-433e-9645-620494078077
    creation_time: 2023-02-17T13:42:54.418239Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohendiv.c
      input_file_hashes:
        c/nla-digbench/cohendiv.c: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohendiv.c
    file_hash: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
    line: 53
    column: 0
    function: main
  location_invariant:
    string: r >= 2 * y * a
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 26eefdee-d73d-4591-b222-735983f9c2ba
    creation_time: 2023-02-17T13:42:54.418316Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohendiv.c
      input_file_hashes:
        c/nla-digbench/cohendiv.c: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohendiv.c
    file_hash: 3d6660b4fea1525f79546380d9fc86f7ff57e03176037fab78e14751bab459a9
    line: 62
    column: 0
    function: main
  location_invariant:
    string: x == q * y + r
    type: assertion
    format: C

